Bug 1667086 - Add slirp4netns to comps file for release
Summary: Add slirp4netns to comps file for release
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: releng
Version: 7.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Martin Banas
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On: 1686351
Blocks: 1654329
TreeView+ depends on / blocked
 
Reported: 2019-01-17 11:51 UTC by rhel-prp-maitai@redhat.com
Modified: 2019-08-06 11:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 11:42:01 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2351 None None None 2019-08-06 11:42:15 UTC

Comment 3 Martin Banas 2019-05-15 14:20:40 UTC
Hello,
slirp4netns is not available x86_64/Workstation (I guess it should be if this is dependency of podman). See below:

[mbanas@rtt1 compose]$ ls */*/os/Packages/podman-0*
Server/ppc64le/os/Packages/podman-0.12.1.2-2.git9551f6b.el7.ppc64le.rpm
Server/s390x/os/Packages/podman-0.12.1.2-2.git9551f6b.el7.s390x.rpm
Server/x86_64/os/Packages/podman-0.12.1.2-2.git9551f6b.el7.x86_64.rpm
Workstation/x86_64/os/Packages/podman-0.12.1.2-2.git9551f6b.el7.x86_64.rpm
[mbanas@rtt1 compose]$ ls */*/os/Packages/slirp4net*
Server/ppc64le/os/Packages/slirp4netns-0.1-2.dev.gitc4e1bc5.el7.ppc64le.rpm
Server/s390x/os/Packages/slirp4netns-0.1-2.dev.gitc4e1bc5.el7.s390x.rpm
Server/x86_64/os/Packages/slirp4netns-0.1-2.dev.gitc4e1bc5.el7.x86_64.rpm
[mbanas@rtt1 compose]$ pwd
/mnt/redhat/rhel-7/rel-eng/EXTRAS-7/EXTRAS-7.7-RHEL-7-20190515.0/compose


Moving back to ASSIGNED.

Comment 4 Martin Banas 2019-05-21 14:44:25 UTC
Bohdan, could you please try to fix it for Snapshot 1? Thanks

Comment 5 Bohdan Khomutskyi 2019-05-22 10:04:46 UTC
I added this package to the Workstation compose. It is already available in nightly build /mnt/redhat/rhel-7/nightly/EXTRAS-7/EXTRAS-7.7-RHEL-7-20190522.n.0/compose/Workstation and will be added in Snapshot. If re-spin for Extras-7.7 Beta will be required, slirp4netns will be added to Beta as well.

Comment 6 Bohdan Khomutskyi 2019-05-24 07:34:46 UTC
The package is available in Beta-1.1 compose: /mnt/redhat/rel-eng/rhel-7/EXTRAS-7/EXTRAS-7.7-RHEL-7-20190524.0/
https://projects.engineering.redhat.com/browse/RCM-57179

Comment 9 errata-xmlrpc 2019-08-06 11:42:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2351


Note You need to log in before you can comment on or make changes to this bug.